<?php
/*
 * @ https://EasyToYou.eu - IonCube v11 Decoder Online
 * @ PHP 7.4
 * @ Decoder version: 1.0.2
 * @ Release: 10/08/2022
 */

// Decoded file for php version 74.
define("IN_SITE", true);
require_once __DIR__ . "/../../config.php";
require_once __DIR__ . "/../../libs/db.php";
require_once __DIR__ . "/../../libs/lang.php";
require_once __DIR__ . "/../../libs/helper.php";
if($CMSNT->site("status_demo") != 0) {
    $data = json_encode(["status" => "error", "msg" => __("This function cannot be used because this is a demo site")]);
    exit($data);
}
if(!isset($_POST["action"])) {
    $data = json_encode(["status" => "error", "msg" => __("The Request Not Found")]);
    exit($data);
}
if($_POST["action"] == "loadStatusInvoice") {
    if(empty($_POST["trans_id"])) {
        exit(json_encode(["status" => "error", "msg" => __("Trans ID does not exist in the system")]));
    }
    if(!($row = $CMSNT->get_row("SELECT * FROM `invoices` WHERE `trans_id` = '" . check_string($_POST["trans_id"]) . "' "))) {
        exit(json_encode(["status" => "error", "msg" => __("Trans ID does not exist in the system")]));
    }
    exit(json_encode(["data" => ["status" => $row["status"]], "status" => "success", "msg" => ""]));
}
if($_POST["action"] == "notication_topup") {
    if(empty($_POST["token"])) {
        exit(json_encode(["status" => "error", "msg" => __("Vui lòng đăng nhập để sử dụng tính năng này")]));
    }
    if(!($getUser = $CMSNT->get_row("SELECT * FROM `users` WHERE `token` = '" . check_string($_POST["token"]) . "' AND `banned` = 0 "))) {
        exit(json_encode(["status" => "error", "msg" => __("Vui lòng đăng nhập để sử dụng tính năng này")]));
    }
    if(!($row = $CMSNT->get_row(" SELECT * FROM `payment_bank` WHERE `notication` = 0 AND `user_id` = '" . $getUser["id"] . "' "))) {
        exit(json_encode(["status" => "error", "msg" => __("Không có lịch sử nạp tiền gần đây")]));
    }
    $CMSNT->update("payment_bank", ["notication" => 1], " `id` = '" . $row["id"] . "' ");
    exit(json_encode(["status" => "success", "msg" => __("Nạp tiền thành công") . " " . format_currency($row["received"])]));
}
if($_POST["action"] == "notication_topup_momo") {
    if(empty($_POST["token"])) {
        exit(json_encode(["status" => "error", "msg" => __("Vui lòng đăng nhập để sử dụng tính năng này")]));
    }
    if(!($getUser = $CMSNT->get_row("SELECT * FROM `users` WHERE `token` = '" . check_string($_POST["token"]) . "' AND `banned` = 0 "))) {
        exit(json_encode(["status" => "error", "msg" => __("Vui lòng đăng nhập để sử dụng tính năng này")]));
    }
    if(!($row = $CMSNT->get_row(" SELECT * FROM `payment_momo` WHERE `notication` = 0 AND `user_id` = '" . $getUser["id"] . "' "))) {
        exit(json_encode(["status" => "error", "msg" => __("Không có lịch sử nạp tiền gần đây")]));
    }
    $CMSNT->update("payment_momo", ["notication" => 1], " `id` = '" . $row["id"] . "' ");
    exit(json_encode(["status" => "success", "msg" => __("Nạp tiền thành công") . " " . format_currency($row["received"])]));
}
exit(json_encode(["status" => "error", "msg" => __("Invalid data")]));

?>